Софтпанорама 1991, No. 4 (18)  *** NEWS ***   Составитель: Н.Н. БЕЗРУКОВ
************************************************************************

                 ***************************************
                 *  П А Н О Р А М А   Н О В О С Т Е Й  *
                 ***************************************

************************ PKLITE ТЕСНИТ LZEXE ***************************

    Новая разработка фирмы PKWARE, Inc.(США) мгновенно завоевала  сердца
пользователей. LZEXE 0.91  уходит в тень.  PKLITE, приведенная в  данном
номере бюллетеня, умеет паковать не только EXE, но и COM-файлы, для  бо-
льшинства (но не для всех!!!) файлов степень упаковки на 4-17% выше, сам
процесс  упаковки  существенно  удобнее  (допускаются  упаковка  *.COM и
*.EXE). К сожалению автоматического определение и распаковка ранее  упа-
кованных LZEXE файлов является нерешенной проблемой. Поэтому для  начала
можно ограничиться упаковкой еще не запакованных EXE-файлов и всех  COM-
файлов. Для переупаковки можно испоьзовать простейший BAT-файл
                              unlzexe %1
                              pklite %1

   Если временно переопределить расширения EXE и COM в Norton  Cоmmander
под этот файл и задать  режим сортировки каталога по размеру  файлов, то
переупаковку можно вести визуально: если в результате файл EXE  располо-
жен выше, то удалять файл .olz, иначе другим BAT-файлом удалить EXE-файл
и переменовать обратно файл .olz.

***************** PKZIP 1.2 ЭТО ПЕРВОАПРЕЛЬСКАЯ ШУТКА ******************

   Официальной  версии  1.2  не  существует. Распространяющийся по Союзу
zip-файл:

PKZIP (R)   FAST!   Create/Update Utility   Version 1.1   03-15-90
Copr. 1989-1990 PKWARE Inc.  All Rights Reserved.  PKZIP/h for help
PKZIP Reg. U.S. Pat. and Tm. Off.

Searching ZIP: PKZ120.EXE -
──────────────────────────────────────────────────────────────────────
░░▒▒▓▓██        Diese ZIP - Datei wurde geholt aus der        ██▓▓▒▒░░
░░▒▒▓▓██                                                      ██▓▓▒▒░░
░░▒▒▓▓██  MAGIX BOX  Munich FRG  49-89-3544899 [2:246/42.27]  ██▓▓▒▒░░
░░▒▒▓▓██                                                      ██▓▓▒▒░░
░░▒▒▓▓██        sie wurde mit SCANV62 auf Viren geprБft       ██▓▓▒▒░░
░░▒▒▓▓██                                                      ██▓▓▒▒░░
░░▒▒▓▓██            Bitte mit PKUNZIP - D entpacken           ██▓▓▒▒░░
──────────────────────────────────────────────────────────────────────


 Length  Method   Size  Ratio   Date    Time   CRC-32  Attr  Name
 ------  ------   ----- -----   ----    ----   ------  ----  ----
  21475  Implode   6522  70%  05-09-90  15:10  6c5939a6 --w  ADDENDUM.DOC
  25811  Implode   8390  68%  03-15-90  01:10  4f35b70d --w  APPNOTE.TXT
   1744  Implode    866  51%  03-15-90  01:10  f49e5256 --w  AUTHVERI.FRM
    720  Implode    434  40%  03-15-90  01:10  253e799b --w  DEDICATE.DOC
   9366  Implode   3228  66%  03-15-90  01:10  c917b5c2 --w  LICENSE.DOC
 140355  Implode  34329  76%  07-21-89  01:01  1046156f --w  MANUAL.DOC
    595  Implode    442  26%  03-15-90  01:10  167904ac --w  OMBUDSMN.ASP
   4701  Implode   1464  69%  03-15-90  01:10  6e20e127 --w  ORDER.DOC
  23528  Implode  18125  23%  05-09-90  14:58  c09b8aa2 --w  PKUNZIP.EXE
  34296  Implode  25582  26%  05-09-90  13:03  74c02704 --w  PKZIP.EXE
   9224  Implode   6692  28%  03-15-90  01:10  3397d14f --w  PKZIPFIX.EXE
   4479  Stored    4479   0%  03-15-90  01:10  479b6f89 --w  PUTAV.EXE
    802  Implode    526  35%  05-09-90  15:10  eebbe214 --w  README.DOC
   2918  Implode   1558  47%  05-09-90  15:10  2c0df629 --w  WHATSNEW.120
  22188  Stored   22188   0%  03-15-90  01:10  6c674772 --w  ZIP2EXE.EXE
 ------          ------  ---                                 -------
 302202          134825  56%                                      15

    содержит измененные хакерами версии PKZIP 1.1. Представитель  PKWARE
заявил, что  в связи  с этим  фактом "настоящая"  следующая версия будет
иметь номер 1.3.
                                                                   Б.Н.Н.

***********************  HYPER - суперкэш ******************************

   Новый кэш  обладает существенно  лучшими возможностями,  чем DCACHE и
рекомендуется всем пользователям, у которых не наблюдается систематичес-
кого зависания компьютера  при работе. В  связи с тем,  что запись также
кэшируется скорость работы возрастает в несколько раз. Во столько же раз
возрастает опасность потерять данные при зависании системы.
                                                                  Б.Н.Н.

***************** MS DOS 5.00.333с Beta2 РАБОТАЕТ УСТОЙЧИВО ************

   Пользователям более ранних версий MS DOS 5.0 рекомендуется перейти на
указанную. В составе дискеты с  этой версий есть два коротких  текстовых
файла, приведенных в  данном выпуске бюллетеня.  В ответ на  команду VER
эта версия выдает
C:\>ver

MS-DOS Version 5.00.333с Beta2

                                                                  Б.Н.Н.


************************* 4DOS УХОДИТ В ТЕНЬ **************************

   С появлением MS DOS  5.0 использование 4DOS становится  непрактичным,
поскольку свопинг на виртуальный диск становится слишком большой  роско-
шью. Кроме того  4DOS конфликтует с  MS WORD 5.0  при использовании EMS.
Таким образом 4DOS становится обычной прикладной программой для выполне-
ния некоторых сложных BAT-файлов.
                                                                  Б.Н.Н.


        ОСП ПРЕДЛАГАЕТ  КООРДИНИРОВАТЬ УСИЛИЯ  РАЗРАБОТЧИКОВ ПО
           СОЗДАНИЮ ОТЕЧЕСТВЕННЫХ HAYES СОВМЕСТИМЫХ МОДЕМОВ


    КОММЕРЧЕСКОЕ ИСПОЛЬЗОВАНИЕ ЗАКРЫТОЙ СОВЕТСКОЙ КОМПЬЮТЕРНОЙ CЕТИ


     РУСИФИЦИРОВАННАЯ ВЕРСИЯ LOTUS 1-2-3 ПО ЦЕНЕ МОДЕМА (5000 РУБ)

   Официальный дистибутор этого самого популярного на Западе, но  далеко
не  лучшего  пакета,  пакета  ВНИПИстатинформ  за указанную немалую цену
предполагает  обеспечить   зарегестрированных  пользователей   "горячей"
телефонной  линией  для  оперативных  консультатаций  (с единственным на
страну телефоном 254- 4472),  поставляет прикладные средства по  учету в
среде  1-2-3  (например,  модели  расчета  налогов),  и,  как  положено,
организует  Ассоциацию  пользователей  1-2-3.  Справки по тел. 254-2871;
адрес: Москва, ул.Дегунская, 1, корп.3. Телетайп: 113594 ЦИФРА.


         ПРЕМИИ ПАРАГРАФА: А.НУЙКИНУ, В.СЕЛЮНИНУ И А.ТЕРЕХОВУ

******** КОМПЬЮТЕРНАЯ ВИРУСОЛОГИЯ: ПРОДОЛЖАЕТСЯ ПРИЕМ ЗАКАЗОВ *********

   Продолжается  прием  предварительных  заказов  комплект из монографии
"Компьютерную вирусологию"  (25 п.л.(416  стр) в  мягкой обложке, бумага
No.1) и дискеты с текстом монографии и программами-победителями 2-го ко-
нкурса бесплатных антивирусных программ, проходившего в рамках конферен-
ции "Методы и средства защиты от вирусов в операционной системе MS  DOS"
(все победители, кроме Е.В.Касперского, дали согласие на включение дора-
ботанных "свежих" версий. Фаг -V Е.В.Касперского будет представлен в ви-
де демо-версии).
   Заказы принимаются как от организаций, так и от частных лиц.
   На комплект установлены следующие цены:

индивидуальные покупатели:
   на дискетах Авиацентра............................... 25 руб. + 5%
   на собственных дискетах.............................. 15 руб. + 5%

организации на дискетах Авиацентра (цены действительны до 16.05.91)
   до 10 экз.............................................30 руб. + 5%
   до 100 экз. + самовывоз...............................27 руб. + 5%
   свыше 100 экз. + самовывоз............................25 руб. + 5%

организации на собственных дискетах
   до 10 экз.............................................18 руб. + 5%
   до 100 экз. + самовывоз...............................16 руб. + 5%
   свыше 100 экз. + самовывоз............................15 руб. + 5%

   Цены на дискетах возможно  будут несколько варьироваться от  месяца к
месяцу в связи  с нестабильностью рынка  дискет и отсутствием  оборотных
средств на закупку крупной партии. Подробности приведены в  коммерческом
приложении.
   Из полученной прибыли предполагается финансировать работы по созданию
Киевской BBS и проведение второй олимпиалы по системному програмированию
(предполагается установить пять стипендий сроком на десять месяцев: одну
в размере 100 руб. в месяц (за первое место), две по 75 руб. (за  второе
место) и три по 50 руб (за третье место)).

                                                                   Б.Н.Н.

============================ ЧИПЫ ДЕШЕВЕЮТ =============================

    Цены на микросхемы динамического ОЗУ емкостью 4Mбита упали по  срав-
нению с прошлой осенью еще на  22 процента. Когда в 1989 году  появились
эти микросхемы, они стоили  около 115 долл. Сейчас  их цена упала до  27
долл. -  более чем  в 4  раза. В  то же  время чипы  с меньшей емкостью-
1Мбит- стоят всего 6 долл. В результате многие производители компьютеров
предпочитают использовать эти более дешевые микросхемы. Несмотря на  то,
что разница в цене одного мегабита памяти невелика, а работать с микрос-
хемами большей емкости проще, лишь один из десяти производителей предпо-
читает ныне 4-мегабитные кристаллы.

                               Newsbytes News Network, February 13, 1991

========================== УМЕР ДЖОН БАРДИН ============================

    В городе Кэмпейн,  штат Иллинойс, в  возрасте 82 лет  скончался Джон
Бардин - один из трех  изобретателей транзистора. Он участвовал также  в
работах по  сверхпроводимости, за  что получил  свою вторую  Нобелевскую
премию. Бардин умер от сердечного удара во время реабилитации после  пе-
ренесенной хирургической операции.
    Бардин, Валтер Бреттэйн и Вильям Шокли составляли команду, которая в
1947 году на фирме Bell Laboratories изобрела полупроводниковое устройс-
тво, пришедшее на смену  радиолампам. Они получили Нобелевскую  премию в
1956 году.

                                Newsbytes News Network, January 31, 1991

=========================== ВОТ ЭТО ВИНЧ !!! ===========================
======= (РАССКАЗЫ ОБ УДАРНИКАХ КАПИТАЛИСТИЧЕСКОГО СОРЕВНОВАНИЯ) ========

    Компания Fujitsu America объявила на своей пресс-конференции о выпу-
ске самого емкого и быстрого 5.25-дюймового винчестера с неформатирован-
ной емкостью  2 Гбайта.  Устройство M2652  также характеризуется средним
временем доступа в 11 мc, задержкой  (latency) в 5.6 мс и, по  заявлению
фирмы, наивысшей в истории скоростью передачи информации. "Это новое ус-
тройство позволяет сократить разрыв между скоростью ввода-вывода процес-
сора и накопителя," - сказал Майк Глюк, старший вице президент компании,
- "компьютеры развивались  быстро, а процесс  ввода и вывода  информации
существенно отставал. Мы рассматриваем новый привод как надежное средст-
во для всех  критичных к скорости  работы и емкости  памяти приложений."
Новый винчестер найдет применение в САПР, т.е. там, где ранее  использо-
вались крупные или  средние компьютеры, а  сейчас - на  рабочие станции.
"Раньше для получения требуемой надежности, производительности и качест-
ва требовались 8-дюймовые приводы.  Наработка на отказ нашего  изделия -
200 тысяч часов  - сравнима с  показателями для аналогичных  накопителей
меньшей емкости и больших габаритов." Привод выпускается с четырьмя раз-
личными  интерфейсами.  M2652P  имеет  стандартный ANSI интерфейс IPI-2,
обеспечивающий передачу данных 16-разрядным параллельным кодом и поддер-
живающий  управление  на  физическом  уровне.  M2652H содержит интерфейс
SCSI-2, одним из первых в отрасли достигший предусмотренной данным стан-
дартом скорости передачи  информационного пакета 10  Мбайт в секунду.  В
M2652HD реализован  механизм одновременного  доступа к  накопителю через
два порта SCSI-2. Последняя  же модификация, M2652S, выполнена  согласно
всем требованиям  к приводам  для настольных  миникомпьютеров и  рабочих
станций. Производительность, как известно, оценивается двумя параметрами
- временем доступа к информации и скоростью ее передачи. Увеличение пер-
вого параметра достигается за счет большей скорости вращения пакета дис-
ков - 4500 оборотов  в минуту, что в  полтора раза выше обычной.  Двига-
тель, перемещающий головки, обеспечивает время перехода с дорожки на до-
рожку, равное 2 мс, и среднее время позиционирования - 5.6 мс.  Скорость
считывания увеличена - как за счет большей скорости вращения диска,  так
и путем увеличения плотности записи информации. Привод оснащен динамиче-
ской программируемой кэш-памятью емкостью в четверть Мбайта, позволяющей
сократить время взаимодействия с компьютером, а также адаптивной кэш-па-
мятью, которая позволяет  подстраивать размер передаваемого  блока. Цена
накопителя пока не определена.

                               Newsbytes News Network, February 11, 1991

===================== КОМПЬЮТЕРЫ РАЗМЕРА ЛИСТА А4 ======================
===========================  БУМ НА ЗАПАДЕ =============================

     Типичным  примером  компьютеро  этого  класса является Venture 16SX
Notebook PC фирмы  Advanced Logic Research.  Его цена -  2795 долл., вес
3,15 кг, размер 30х21,8х5 см. По словам вице-президента фирмы Дейва Кир-
ки, размеры компьютера позволяют переносить его в дипломате средних раз-
меров. Машина  выпущена на  базе процессора  386SX/16. Емкость  ОЗУ -  1
Мбайт с возможностью расширения до 5 Мбайт; имеется жидкокристаллический
дисплей с подсветкой, диагональ экрана - 21,6 см. Время работы от  бата-
рей - до 3 часов.
     Несколько более дорогой компьютер фирмы Everex Tempo LX также пост-
роен на базе процессора 80386SX. Машина стоит 3899 долларов, весит около
3 кг и имеет размеры 5х25х30 см. Компьютер оснащен никель-кадмиевым  ак-
кумулятором и встроенной системой, обеспечивающей экономию  потребляемой
энергии. Жидкокристаллический  VGA-дисплей компьютера  позволяет отобра-
жать 16 оттенков серого с разрешением 640х480 точек. Стандартная  конфи-
гурация  содержит  1  Мбайт  ОЗУ  с  возможностью расширения до 5 Мбайт,
встроенный 3.5-дюймовый гибкий диск и винчестер емкостью 20 Мбайт.  Есть
гнездо для арифметического сопроцессора и разъемы для подключения  внеш-
него VGA-монитора и телефонного кабеля к встроенному модему.

                                Newsbytes News Network, Jan 2, 1991
                                Newsbytes News Network, February 8, 1991

=== НАМЕЧАЕТСЯ ПЕРЕХОД К НОВОМУ ТИПУ ВВОДА ИНФОРМАЦИИ В КОМПЬЮТЕР =====
=====  ОСОБЕННО ПЕРСПЕКТИВНОГО ДЛЯ КОМПЬЮТЕРОВ ФОРМАТА ЛИСТА А4 =======

    Билл Гейтс во время своего визита в Австралию впервые публично  про-
демонстрировал систему ввода рукописного текста Pen Windows. На этом вы-
ступлении присутствовало более четырех тысяч человек.
    Гейтс заявил, что новая среда Pen Windows появится в продаже в тече-
ние года и позволит точно преобразовывать рукописный текст в ASCII-коды.
Некоторые специалисты считали, что компьютер на это просто не  способен.
Гейтс показал, что пользователь легко сможет работать с этой средой, на-
пример, удаляя введенный текст путем простого зачеркивания ненужной час-
ти.
    Московское СП "ПараГраф" также работает в этом направлении, и весьма
успешно. По оценкам директора СП Степана Пачикова, они смогут в  ближай-
шие несколько лет заработать до 100 миллионов рублей за счет продажи ли-
цензий на  использование разработанного  ими ядра  системы распознавания
рукописных текстов. Ряд  крупных европейских и  азиатских производителей
программ ведет в настоящее время переговоры о его закупке.
   По заявлению московского представителя фирмы Apple Грега  Боровского,
президент компании Джон Скали во время своего последнего визита в Москву
вместе с группой опытных  экспертов посещал "ПараГраф" и  "изучал вопрос
покупки лицензии на технологию" "ПараГрафа".

                               Newsbytes News Network, February 26, 1991



П р и м е ч а н и е.

  Сообщения, заголовки  которых выделены  знаками "="  (равно), получены
при содействии редакции журнала КомпьютерПресс. Заголовки сообщений при-
надлежат составителю.
